Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-13824

the documentation references a deleted component

    XMLWordPrintableJSON

    Details

    • Estimated Complexity:
      Unknown

      Description

      https://camel.apache.org/staging/components/latest/mongodb-component.html

      the documentation refers to the older version.
      "Note: MongoDB Camel component Use the Mongo Driver for Java 3.x. If your are looking for previews versions look the Camel MongoDB component."
      This corresponds to the doc of the older Camel MongoDB 3 component (using v3 driver). which referenced the older MongoDB Camel component (using V2 driver)
      But the MongoDB Camel component (using V2 driver) has been removed and the component Camel MongoDB 3 component (using v3 driver) renamed Camel MongoDB
       component (using v3 driver).
      The doc must be retifyed to no longer refer to the deleted version.

      I propose to simply put
      "Note: MongoDB Camel component Use the Mongo Driver for Java 3.x."

      I have not followed mongodb these last time, but it seems to me that there is a V4 driver.

        Attachments

          Activity

            People

            • Assignee:
              acosentino Andrea Cosentino
              Reporter:
              sekaijin Terrien Jean-Yves
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: